import { Buff, Bytes } from '@cmdcode/buff';
import { MemberData, CredentialAPI, WalletAPI } from '../types/index.js';
export declare function gen_membership(index: number, signer: CredentialAPI, wallet: WalletAPI): MemberData;
export declare function has_membership(members: MemberData[], signer: CredentialAPI): boolean;
export declare function get_membership(members: MemberData[], signer: CredentialAPI): MemberData;
export declare function has_credential(cred: MemberData, signer: CredentialAPI): boolean;
export declare function has_member_data(members: MemberData[], mship: MemberData): boolean;
export declare function add_member_data(members: MemberData[], mship: MemberData): MemberData[];
export declare function upsert_member_data(members: MemberData[], mship: MemberData): MemberData[];
export declare function rem_member_data(members: MemberData[], mship: MemberData): MemberData[];
export declare function create_endorsement(record_id: Bytes, signer: CredentialAPI): Buff;
export declare function verify_endorsement(record_id: Bytes, signature: Bytes, throws?: boolean): boolean;
